<?php
// +-------------------------------------------------+
//  2002-2004 PMB Services / www.sigb.net pmb@sigb.net et contributeurs (voir www.sigb.net)
// +-------------------------------------------------+
// $Id: lender.inc.php,v 1.13.6.2 2020/03/16 08:13:08 dgoron Exp $

if (stristr($_SERVER['REQUEST_URI'], ".inc.php")) die("no access");

global $class_path, $action, $msg, $id;

require_once($class_path."/lender.class.php");
require_once($class_path."/list/configuration/docs/list_configuration_docs_lenders_ui.class.php");

// gestion des prteurs de documents
?>
<script type="text/javascript">
function test_form(form)
{
	if(form.form_libelle.value.length == 0)
	{
		alert("<?php echo $msg[559]; ?>");
		return false;
	}
	return true;
}

</script>
<?php
function show_lender() {
	print list_configuration_docs_lenders_ui::get_instance()->get_display_list();
}

$id = intval($id);
switch($action) {
	case 'update':
		global $form_libelle;
		// vrification validit des donnes fournies.
		$requete = " SELECT count(1) FROM lenders WHERE (lender_libelle='$form_libelle' AND idlender!='$id' )  LIMIT 1 ";
		$res = pmb_mysql_query($requete);
		$nbr = pmb_mysql_result($res, 0, 0);
		if ($nbr > 0) {
			error_form_message($form_libelle.$msg["docs_label_already_used"]);
		} else {
			$lender = new lender($id);
			$lender->set_properties_from_form();
			$lender->save();
		}
		show_lender();
		break;
	case 'add':
		$lender = new lender();
		print $lender->get_form();
		break;
	case 'modif':
		$lender = new lender($id);
		print $lender->get_form();
		break;
	case 'del':
		if($id!="") {
			$total = 0;
			$total = pmb_mysql_num_rows(pmb_mysql_query("select 1 from exemplaires where expl_owner='".$id."' limit 0,1"));
			$total = $total + pmb_mysql_num_rows(pmb_mysql_query("select 1 from docs_codestat where statisdoc_owner='".$id."' limit 0,1"));
			$total = $total + pmb_mysql_num_rows(pmb_mysql_query("select 1 from docs_location where locdoc_owner='".$id."' limit 0,1"));
			$total = $total + pmb_mysql_num_rows(pmb_mysql_query("select 1 from docs_section where sdoc_owner ='".$id."' limit 0,1"));
			$total = $total + pmb_mysql_num_rows(pmb_mysql_query("select 1 from docs_statut where statusdoc_owner ='".$id."' limit 0,1"));
			$total = $total + pmb_mysql_num_rows(pmb_mysql_query("select 1 from docs_type where tdoc_owner ='".$id."' limit 0,1"));
			if ($total==0) {
				$requete = "DELETE FROM lenders WHERE idlender=$id ";
				$res = pmb_mysql_query($requete);
				show_lender();
			} else {
				error_message(	$msg[294], $msg[1705], 1, 'admin.php?categ=docs&sub=lenders&action=');
			}
		} else {
			error_message(	$msg[294], $msg[1706], 1, 'admin.php?categ=docs&sub=lenders&action=');
		}
		break;
	default:
		show_lender();
		break;
	}
