<?php
// +-------------------------------------------------+
//  2002-2004 PMB Services / www.sigb.net pmb@sigb.net et contributeurs (voir www.sigb.net)
// +-------------------------------------------------+
// $Id: location.inc.php,v 1.36.4.3 2020/10/16 12:22:49 dgoron Exp $

if (stristr($_SERVER['REQUEST_URI'], ".inc.php")) die("no access");

global $class_path, $action, $msg, $id, $form_actif, $admin_liste_jscript;
global $pmb_map_activate;

// gestion des codes localisation exemplaires
?>
<script type="text/javascript">
function test_form(form) {
	if(form.form_libelle.value.length == 0) {
		alert("<?php echo $msg[98]; ?>");
		return false;
	}
	return true;
}

</script>
<?php

require_once($class_path."/docs_location.class.php");
require_once($class_path."/list/configuration/docs/list_configuration_docs_location_ui.class.php");
require_once("$class_path/sur_location.class.php");
require_once($class_path."/map/map_edition_controler.class.php");

function show_location() {
	global $msg,$pmb_location_reservation,$current_module;
	
	if($pmb_location_reservation) print "<h1>".$msg["admin_location_list_title"]."</h1>";

	print list_configuration_docs_location_ui::get_instance()->get_display_list();

	if($pmb_location_reservation) {
		$form_res_location= 
		"<br /><br /><h1>".$msg["admin_location_resa_title"]."</h1>
		<form class='form-$current_module' id='userform' name='userform' method='post' action='./admin.php?categ=docs&sub=location&action=resa_loc'>
		";	
		$form_res_location.=
		"<table>
			<tr>
				<th>".$msg["admin_location_resa_empr_loc"]."</th>";
		$requete="select * from resa_loc";
		$res = pmb_mysql_query($requete);
		$resa_liste = array();
		if(pmb_mysql_num_rows($res)) {
			while(($row=pmb_mysql_fetch_object($res))) {
				$resa_liste[$row->resa_loc][$row->resa_emprloc]=1;				
			}
		}
		$ligne="";
		$memo_location = array();
		$requete = "SELECT idlocation,location_libelle, locdoc_owner, locdoc_codage_import, lender_libelle, location_visible_opac, css_style FROM docs_location left join lenders on locdoc_owner=idlender ORDER BY location_libelle";
		$res = pmb_mysql_query($requete);
		if(pmb_mysql_num_rows($res)) {
			while($row = pmb_mysql_fetch_object($res)) {
				$memo_location[] = $row;
			}
		}
		foreach($memo_location as $row) {
			$form_res_location.="<th>".$row->location_libelle."</th>";		
			if ($parity++ % 2) {
				$pair_impair = "even";
			} else {
				$pair_impair = "odd";
			}
			$ligne.="</tr><tr class='$pair_impair'><td>".$row->location_libelle."</td>";		
			foreach($memo_location as $row1) {
				if(isset($resa_liste[$row->idlocation][$row1->idlocation])) $check=" checked='checked' ";
				else $check="";
				$ligne.="<td><input value='1' name='matrice_loc[".$row->idlocation."][".$row1->idlocation."]' type='checkbox' $check ></td>";		
			}	
		}		
		$form_res_location.=$ligne."
			</tr>		
			</table>
			<input class='bouton' type='submit' value=' ".$msg["admin_location_resa_memo"]." ' />
			<input type='hidden' name='form_actif' value='1'>
			</form>";		
		print $form_res_location;
	}	
}

$id = intval($id);
switch($action) {
	case 'update':
		global $form_libelle, $form_locdoc_codage_import, $form_locdoc_owner, $form_location_pic, $form_location_visible_opac;
		global $form_locdoc_name, $form_locdoc_adr1, $form_locdoc_adr2, $form_locdoc_cp, $form_locdoc_town, $form_locdoc_state, $form_locdoc_country, $form_locdoc_phone;
		global $form_locdoc_email, $form_locdoc_website, $form_locdoc_logo, $form_locdoc_commentaire, $form_num_infopage, $form_css_style, $form_sur_localisation, $form_location_use_surloc;

		// vrification validit des donnes fournies.
		if($form_actif) {
			$requete = " SELECT count(1) FROM docs_location WHERE (location_libelle='$form_libelle' AND idlocation!='$id' )  LIMIT 1 ";
			$res = pmb_mysql_query($requete);
			$nbr = pmb_mysql_result($res, 0, 0);
			if ($nbr > 0) {
				error_form_message($form_libelle.$msg["docs_label_already_used"]);
			} else {
				if(empty($form_sur_localisation)) {
					$form_sur_localisation = '';
				}
				if(empty($form_location_use_surloc)) {
				    $form_location_use_surloc=0;
				}
				// O.K.,  now if item already exists UPDATE else INSERT
				$set_values = "SET location_libelle='$form_libelle', locdoc_codage_import='$form_locdoc_codage_import', locdoc_owner='$form_locdoc_owner', location_pic='$form_location_pic', location_visible_opac='$form_location_visible_opac', name= '$form_locdoc_name', adr1= '$form_locdoc_adr1', adr2= '$form_locdoc_adr2', cp= '$form_locdoc_cp', town= '$form_locdoc_town', state= '$form_locdoc_state', country= '$form_locdoc_country', phone= '$form_locdoc_phone', email= '$form_locdoc_email', website= '$form_locdoc_website', logo= '$form_locdoc_logo', commentaire='$form_locdoc_commentaire', num_infopage='$form_num_infopage', css_style='$form_css_style', surloc_num='$form_sur_localisation', surloc_used='$form_location_use_surloc' " ;
				if($id) {
					$requete = "UPDATE docs_location $set_values WHERE idlocation='$id' ";
					$res = pmb_mysql_query($requete);
					
				} else {
					$requete = "INSERT INTO docs_location $set_values ";
					$res = pmb_mysql_query($requete);
					$id = pmb_mysql_insert_id();
				}
				// map
				if($pmb_map_activate){
					$map_edition=new map_edition_controler(TYPE_LOCATION,$id);
					$map_form=$map_edition->save_form();					
				}
			}
		}	
		show_location();
		break;
	case 'add':
		$docs_location = new docs_location();
		print $docs_location->get_form();
		break;
	case 'resa_loc':
		global $matrice_loc;
		if($form_actif) {
			$requete = "truncate table resa_loc";
			pmb_mysql_query($requete);
			if(is_array($matrice_loc))foreach($matrice_loc as $loc_bibli=>$val) {
				foreach($val as $loc_empr=>$val1) {
					$requete = "INSERT INTO resa_loc SET resa_loc='$loc_bibli', resa_emprloc='$loc_empr'";
					pmb_mysql_query($requete);
				}
			}
		}	
		show_location();
		break;		
	case 'modif':
		$docs_location = new docs_location($id);
		print $docs_location->get_form();
		break;
	case 'del':
		if($id) {
			$total1 = pmb_mysql_result(pmb_mysql_query("select count(1) from exemplaires where expl_location='".$id."' "), 0, 0);
			$total2 = pmb_mysql_result(pmb_mysql_query("select count(1) from users where deflt2docs_location='".$id."' or deflt_docs_location='".$id."'"), 0, 0);
			$total3 = pmb_mysql_result(pmb_mysql_query("select count(1) from empr where empr_location='".$id."' "), 0, 0);
			$total4 = pmb_mysql_result(pmb_mysql_query("select count(1) from abts_abts where location_id ='".$id."' "), 0, 0);
			$total5 = pmb_mysql_result(pmb_mysql_query("select count(1) from collections_state where location_id ='".$id."' "), 0, 0);
			if (($total1+$total2+$total3+$total4+$total5)==0) {
				$requete = "DELETE FROM docs_location WHERE idlocation=$id ";
				$res = pmb_mysql_query($requete);
				show_location();
			} else {
				$msg_suppr_err = $admin_liste_jscript;
				$msg_suppr_err .= $msg["location_used"] ;
				if ($total1) $msg_suppr_err .= "<br />- ".$msg["location_used_docs"]." <a href='#' onclick=\"showListItems(this);return(false);\" what='location_docs' item='".$id."' total='".$total1."' alt=\"".$msg["admin_docs_list"]."\" title=\"".$msg["admin_docs_list"]."\"><img src='".get_url_icon('req_get.gif')."'></a>" ;
				if ($total2) $msg_suppr_err .= "<br />- ".$msg["location_used_users"]." <a href='#' onclick=\"showListItems(this);return(false);\" what='location_users' item='".$id."' total='".$total2."' alt=\"".$msg["admin_users_list"]."\" title=\"".$msg["admin_users_list"]."\"><img src='".get_url_icon('req_get.gif')."'></a>" ;
				if ($total3) $msg_suppr_err .= "<br />- ".$msg["location_used_empr"]." <a href='#' onclick=\"showListItems(this);return(false);\" what='location_empr' item='".$id."' total='".$total3."' alt=\"".$msg["admin_empr_list"]."\" title=\"".$msg["admin_empr_list"]."\"><img src='".get_url_icon('req_get.gif')."'></a>" ;
				if ($total4) $msg_suppr_err .= "<br />- ".$msg["location_used_abts"]." <a href='#' onclick=\"showListItems(this);return(false);\" what='location_abts' item='".$id."' total='".$total4."' alt=\"".$msg["admin_abts_list"]."\" title=\"".$msg["admin_abts_list"]."\"><img src='".get_url_icon('req_get.gif')."'></a>" ;
				if ($total5) $msg_suppr_err .= "<br />- ".$msg["location_used_collections_state"]." <a href='#' onclick=\"showListItems(this);return(false);\" what='location_collections_state' item='".$id."' total='".$total5."' alt=\"".$msg["admin_collections_state_list"]."\" title=\"".$msg["admin_collections_state_list"]."\"><img src='".get_url_icon('req_get.gif')."'></a>" ;
				error_message(	$msg[294], $msg_suppr_err, 1, 'admin.php?categ=docs&sub=location&action=');
			}
		} else show_location();
		break;
	default:
		show_location();
		break;
	}
