<?php
// +-------------------------------------------------+
//  2002-2004 PMB Services / www.sigb.net pmb@sigb.net et contributeurs (voir www.sigb.net)
// +-------------------------------------------------+
// $Id: statut.inc.php,v 1.27.4.3 2020/08/06 08:07:40 dgoron Exp $

if (stristr($_SERVER['REQUEST_URI'], ".inc.php")) die("no access");

global $class_path, $action, $msg, $id, $admin_liste_jscript;
global $finance_statut_perdu;

require_once($class_path."/docs_statut.class.php");
require_once($class_path."/list/configuration/docs/list_configuration_docs_statut_ui.class.php");

// gestion des codes statut exemplaires
?>
<script type="text/javascript">
function test_form(form){
	if(form.form_libelle.value.length == 0){
		alert("<?php echo $msg[98] ?>");
		return false;
	}
	return true;
}
function test_check(form){
	if(form.form_pret.value < 1)
		form.form_pret.value = '1';
	else
		form.form_pret.value = '0';
	return true;
}
function test_check_trans(form){
	if(form.form_trans.value < 1)
		form.form_trans.value = '1';
	else
		form.form_trans.value = '0';
	return true;
}
function test_check_visible_opac(form){
	if(form.form_visible_opac.value < 1)
		form.form_visible_opac.value = '1';
	else
		form.form_visible_opac.value = '0';
	return true;
}

</script>

<?php
function show_statut() {
	print list_configuration_docs_statut_ui::get_instance()->get_display_list();
}

$id = intval($id);
switch($action) {
	case 'update':
		global $form_libelle;
		// vrification validit des donnes fournies.
		$requete = " SELECT count(1) FROM docs_statut WHERE (statut_libelle='$form_libelle' AND idstatut!='$id' )  LIMIT 1 ";
		$res = pmb_mysql_query($requete);
		$nbr = pmb_mysql_result($res, 0, 0);
		if ($nbr > 0) {
			error_form_message($form_libelle.$msg["docs_label_already_used"]);
		} else {
			$docs_statut = new docs_statut($id);
			$docs_statut->set_properties_from_form();
			$docs_statut->save();
		}
		show_statut();
		break;
	case 'add':
		$docs_statut = new docs_statut();
		print $docs_statut->get_form();
		break;
	case 'modif':
		$docs_statut = new docs_statut($id);
		print $docs_statut->get_form();
		break;
	case 'del':
		if($id) {
			$total_serialcirc = 0;
			$total_serialcirc = pmb_mysql_result(pmb_mysql_query("select count(1) from serialcirc where serialcirc_expl_statut_circ='".$id."' or serialcirc_expl_statut_circ_after='".$id."'"), 0, 0);
			if ($total_serialcirc > 0) {
				error_message(	$msg[294], $msg["admin_docs_statut_serialcirc_delete_forbidden"], 1, 'admin.php?categ=docs&sub=statut&action=');
			} else {
				$total = 0;
				$total = pmb_mysql_result(pmb_mysql_query("select count(1) from exemplaires where expl_statut ='".$id."' "), 0, 0);
				if ($total > 0) {
					$msg_suppr_err = $admin_liste_jscript;
					$msg_suppr_err .= $msg[1703]." <a href='#' onclick=\"showListItems(this);return(false);\" what='statut_docs' item='".$id."' total='".$total."' alt=\"".$msg["admin_docs_list"]."\" title=\"".$msg["admin_docs_list"]."\"><img src='".get_url_icon('req_get.gif')."'></a>" ;
					error_message(	$msg[294], $msg_suppr_err, 1, 'admin.php?categ=docs&sub=statut&action=');
				} else {
					if ($finance_statut_perdu == '') $statut_perdu = 0;
					else $statut_perdu = $finance_statut_perdu; 
					if ($statut_perdu == $id) {
						error_message(	$msg[294], $msg["admin_docs_statut_gestion_financiere_delete_forbidden"], 1, 'admin.php?categ=docs&sub=statut&action=');
					} else {
						translation::delete($id, "docs_statut");
						$requete = "DELETE FROM docs_statut WHERE idstatut=$id ";
						$res = pmb_mysql_query($requete);
						show_statut();
					}
				}
			}
		} else show_statut();
		break;
	default:
		show_statut();
		break;
	}
