<?php
// +-------------------------------------------------+
//  2002-2004 PMB Services / www.sigb.net pmb@sigb.net et contributeurs (voir www.sigb.net)
// +-------------------------------------------------+
// $Id: typ_doc.inc.php,v 1.24.6.3 2020/08/06 08:07:40 dgoron Exp $

if (stristr($_SERVER['REQUEST_URI'], ".inc.php")) die("no access");

global $class_path, $action, $msg, $id, $admin_liste_jscript;

require_once($class_path."/docs_type.class.php");
require_once($class_path."/list/configuration/docs/list_configuration_docs_typdoc_ui.class.php");

function show_typdoc_list() {
	print list_configuration_docs_typdoc_ui::get_instance()->get_display_list();
}

switch($action) {
	case 'update':
		global $form_libelle;
		// vrification validit des donnes fournies.
		$id+=0;
		$q = "SELECT count(1) FROM docs_type WHERE (tdoc_libelle='$form_libelle' AND idtyp_doc!='$id' )  LIMIT 1 ";
		$res = pmb_mysql_query($q);
		$nbr = pmb_mysql_result($res, 0, 0);
		if ($nbr > 0) {
			error_form_message($form_libelle.$msg['docs_label_already_used']);
		} else {
			$docs_type = new docs_type($id);
			$docs_type->set_properties_from_form();
			$docs_type->save();
		}
		show_typdoc_list();
		break;
	case 'add':
		$docs_type = new docs_type();
		print $docs_type->get_form();
		break;
	case 'modif':
		$docs_type = new docs_type($id);
		print $docs_type->get_form();
		break;
	case 'del':
		$id+=0;
		if($id) {
			// requte sur 'exemplaires' pour voir si ce typdoc est encore utilis
			$total = 0;
			$total = pmb_mysql_result(pmb_mysql_query("select count(1) from exemplaires where expl_typdoc ='".$id."' "), 0, 0);
			if ($total==0) {
				translation::delete($id, "docs_type");
				$q = "DELETE FROM docs_type WHERE idtyp_doc=$id ";
				$res = pmb_mysql_query($q);
				show_typdoc_list();
			} else {
				$msg_suppr_err = $admin_liste_jscript;
				$msg_suppr_err .= $msg[1700]." <a href='#' onclick=\"showListItems(this);return(false);\" what='typdoc_docs' item='".$id."' total='".$total."' alt=\"".$msg["admin_docs_list"]."\" title=\"".$msg["admin_docs_list"]."\"><img src='".get_url_icon('req_get.gif')."'></a>" ;
				error_message(	$msg[294], $msg_suppr_err, 1, 'admin.php?categ=docs&sub=typdoc&action=');
			}
		} else {
			show_typdoc_list();	
		}
		break;
		
	default:
		show_typdoc_list();
		break;
	}
