<?php
// +-------------------------------------------------+
//  2002-2004 PMB Services / www.sigb.net pmb@sigb.net et contributeurs (voir www.sigb.net)
// +-------------------------------------------------+
// $Id: infopages.inc.php,v 1.13.6.1 2020/10/23 14:17:10 dgoron Exp $

if (stristr($_SERVER['REQUEST_URI'], ".inc.php")) die("no access");

global $class_path, $action, $sub2;
global $id, $form_title_infopage, $form_content_infopage, $form_valid_infopage, $form_restrict_infopage;

require_once("$class_path/classementGen.class.php");
require_once("$class_path/list/list_infopages_ui.class.php");

// gestion des pages d'information

function show_infopages() {
	global $msg;

	print "<div class='hmenu'>
					<span><a href='admin.php?categ=infopages&sub2=classementGen'>".$msg["classementGen_list_libelle"]."</a></span>
				</div><hr>";
				
    $list_infopages_ui = new list_infopages_ui();
    print $list_infopages_ui->get_display_list();
}

function infopage_form($id=0, $title_infopage="", $content_infopage="", $valid_infopage=1, $restrict_infopage=0) {
	global $msg, $pmb_javascript_office_editor,$base_path;
	global $admin_infopages_form;
	global $charset,$PMBuserid;
	
	if ($pmb_javascript_office_editor){
		print $pmb_javascript_office_editor ;
		print "<script type='text/javascript' src='".$base_path."/javascript/tinyMCE_interface.js'></script>";
	}


	$admin_infopages_form = str_replace('!!id!!', $id, $admin_infopages_form);

	if (!$id) $admin_infopages_form = str_replace('!!form_title!!', $msg['infopages_creer'], $admin_infopages_form);
	else $admin_infopages_form = str_replace('!!form_title!!', $msg['infopages_modifier'], $admin_infopages_form);

	$admin_infopages_form = str_replace('!!title_infopage!!', htmlentities($title_infopage,ENT_QUOTES, $charset), $admin_infopages_form);
	$admin_infopages_form = str_replace('!!libelle_suppr!!', htmlentities(addslashes($title_infopage),ENT_QUOTES, $charset), $admin_infopages_form);

	$admin_infopages_form = str_replace('!!content_infopage!!', htmlentities($content_infopage,ENT_QUOTES, $charset), $admin_infopages_form);

	if ($valid_infopage) 
		$checkbox="checked"; 
	else 
		$checkbox="";
	$admin_infopages_form = str_replace('!!checkbox!!', $checkbox, $admin_infopages_form);

	if ($restrict_infopage) 
		$restrict_checkbox="checked"; 
	else 
		$restrict_checkbox="";
	$admin_infopages_form = str_replace('!!restrict_checkbox!!', $restrict_checkbox, $admin_infopages_form);
	
	$classementGen = new classementGen('infopages', $id);
	$admin_infopages_form = str_replace("!!object_type!!",$classementGen->object_type,$admin_infopages_form);
	$admin_infopages_form = str_replace("!!classements_liste!!",$classementGen->getClassementsSelectorContent($PMBuserid,$classementGen->libelle),$admin_infopages_form);

	if ($id) {
		$admin_infopages_form = str_replace("!!duplicate!!","<input class='bouton' type='button' value=' ".$msg["infopages_duplicate_bouton"]." ' onClick=\"document.location='./admin.php?categ=infopages&sub=infopages&action=duplicate&id=".$id."'\" />",$admin_infopages_form);
	} else {
		$admin_infopages_form = str_replace("!!duplicate!!","",$admin_infopages_form);
	}
	
	print confirmation_delete("./admin.php?categ=infopages&sub=infopages&action=del&id=");
	print "<script type=\"text/javascript\">
		function test_form(form) {
		if(form.form_title_infopage.value.length == 0) {
			alert(\"".$msg[98]."\");
			return false;
		}
		return true;
		}
		</script>";
	print $admin_infopages_form;
}

$admin_layout = str_replace('!!menu_sous_rub!!', $msg['infopages_admin_menu'], $admin_layout);
print $admin_layout;

if ($sub2) {
	switch($sub2){
		case 'classementGen' :
			$baseLink="./admin.php?categ=infopages&sub2=classementGen";
			$classementGen = new classementGen($categ,0);
			$classementGen->proceed($action);
			break;
	}
} else {
	switch($action) {
		case 'update':
			$set_values = "SET title_infopage='$form_title_infopage', content_infopage='$form_content_infopage', valid_infopage='$form_valid_infopage', restrict_infopage='$form_restrict_infopage', infopage_classement='".addslashes($classementGen_infopages)."' " ;
			if($id) {
				$requete = "UPDATE infopages $set_values WHERE id_infopage='$id' ";
				$res = pmb_mysql_query($requete);
			} else {
				$requete = "INSERT INTO infopages $set_values ";
				$res = pmb_mysql_query($requete);
			}
			show_infopages();
			break;
		case 'add':
			if (empty($form_title_infopage)) infopage_form(0, $form_title_infopage, $form_content_infopage, $form_valid_infopage,$form_restrict_infopage);
			else show_infopages();
			break;
		case 'modif':
			if($id){
				$requete = "select id_infopage, title_infopage, content_infopage, valid_infopage, restrict_infopage from infopages WHERE id_infopage='$id' ";
				$res = pmb_mysql_query($requete);
				if(pmb_mysql_num_rows($res)) {
					$row=pmb_mysql_fetch_object($res);
					infopage_form($row->id_infopage, $row->title_infopage, $row->content_infopage, $row->valid_infopage, $row->restrict_infopage);
				} else {
					show_infopages();
				}
			} else {
				show_infopages();
			}
			break;
		case 'del':
			if($id) {
				$requete = "DELETE from infopages WHERE id_infopage='$id' ";
				$res = pmb_mysql_query($requete);
				show_infopages();
			} else show_infopages();
			break;
		case 'duplicate':
			if($id){
				$requete = "select id_infopage, title_infopage, content_infopage, valid_infopage, restrict_infopage from infopages WHERE id_infopage='$id' ";
				$res = pmb_mysql_query($requete);
				if(pmb_mysql_num_rows($res)) {
					$row=pmb_mysql_fetch_object($res);
					infopage_form(0, $row->title_infopage, $row->content_infopage, $row->valid_infopage, $row->restrict_infopage);
				} else {
					show_infopages();
				}
			} else {
				show_infopages();
			}
			break;
		default:
			show_infopages();
			break;
		}
}
