<?php
// +-------------------------------------------------+
// | 2002-2011 PMB Services / www.sigb.net pmb@sigb.net et contributeurs (voir www.sigb.net)
// +-------------------------------------------------+
// $Id: list_caddies_ui.class.php,v 1.1.2.3 2020/10/22 10:41:15 dgoron Exp $

if (stristr($_SERVER['REQUEST_URI'], ".class.php")) die("no access");

require_once($class_path."/list/caddies/list_caddies_root_ui.class.php");
require_once($class_path."/caddie.class.php");

class list_caddies_ui extends list_caddies_root_ui {
		
	protected function _get_query_base() {
		$query = caddie::get_query_cart_list();
		return $query;
	}
	
	protected function add_object($row) {
		global $PMBuserid;
		
		$rqt_autorisation=explode(" ",$row->autorisations);
		if (array_search ($PMBuserid, $rqt_autorisation)!==FALSE || $row->autorisations_all || $PMBuserid==1) {
			$this->objects[] = new caddie($row->idcaddie);
		}
	}
	
	protected function init_default_pager() {
		parent::init_default_pager();
		$this->pager['nb_per_page'] = pmb_mysql_result(pmb_mysql_query("SELECT count(*) FROM ".caddie::$table_name), 0, 0); //Illimit;
		$this->set_pager_in_session();
	}
	
	protected function get_classement_instance($object) {
		return new classementGen(caddie::$table_name, $object->get_idcaddie());
	}
	
	public static function get_controller_url_base() {
		global $base_path, $sub, $moyen;
		
		return $base_path.'/catalog.php?categ=caddie&sub='.$sub.'&moyen='.$moyen;
	}
}