<?php
// +-------------------------------------------------+
//  2002-2012 PMB Services / www.sigb.net pmb@sigb.net et contributeurs (voir www.sigb.net)
// +-------------------------------------------------+
// $Id: cms_module_portfolio_view_slideshow.class.php,v 1.1.2.2 2019/12/13 07:54:56 btafforeau Exp $

if (stristr($_SERVER['REQUEST_URI'], ".class.php")) die("no access");

class cms_module_portfolio_view_slideshow extends cms_module_common_view_slideshow {
    
    
    public function __construct($id=0){
        parent::__construct($id);
        $this->default_template = "
<div id='carousel_{{id}}' data-uk-slideshow>
    <ul class='uk-slideshow'>
    	{% for item in items %}
    	    {% if item.interesting %}
    	        {% if item.status!=2 %}
                <li>
                    <a href='{{item.url}}' title='Source' target='_blank'>
                        <h3>{{item.title}}</h3>
                    </a>
                    <blockquote>{{item.publication_date}} / {{item.source.title}}</blockquote>
                    <blockquote>{{item.summary}}</blockquote>
                </li>
                {% endif %}
            {% endif %}
        {% endfor %}
    </ul>
</div>
";
    }
    
    public function get_form(){
        $form = parent::get_form();
        return $form;
    }
    
    public function save_form(){
        return parent::save_form();
    }
    
    public function render($datas){
        return parent::render($datas);
    }
    
    public function get_format_data_structure(){
        $datasource = new cms_module_common_datasource_portfolio();
        $datas = $datasource->get_format_data_structure();
        
        $format_datas = array_merge($datas,parent::get_format_data_structure());
        return $format_datas;
    }
}