<?php
// +-------------------------------------------------+
//  2002-2004 PMB Services / www.sigb.net pmb@sigb.net et contributeurs (voir www.sigb.net)
// +-------------------------------------------------+
// $Id: support.inc.php,v 1.3.6.1 2020/02/28 13:44:40 dgoron Exp $

if (stristr($_SERVER['REQUEST_URI'], ".inc.php")) die("no access");

global $class_path, $action, $msg, $id;

require_once($class_path."/list/configuration/collstate/list_configuration_collstate_support_ui.class.php");

// gestion des prteurs de documents
?>
<script type="text/javascript">
function test_form(form)
{
	if(form.form_libelle.value.length == 0)
	{
		alert("<?php echo $msg[559]; ?>");
		return false;
	}
	return true;
}

</script>
<?php
function show_support() {
	print list_configuration_collstate_support_ui::get_instance()->get_display_list();
}

function support_form($libelle="", $id=0) {
	global $msg;
	global $admin_support_content_form;
	global $charset;
	
	$content_form = $admin_support_content_form;
	$content_form = str_replace('!!id!!', $id, $content_form);

	$interface_form = new interface_admin_form('supportform');
	if(!$id){
		$interface_form->set_label($msg['admin_collstate_add_support']);
	}else{
		$interface_form->set_label($msg['admin_collstate_edit_support']);
	}
	$content_form = str_replace('!!libelle!!', htmlentities($libelle, ENT_QUOTES, $charset), $content_form);
	
	$interface_form->set_object_id($id)
	->set_confirm_delete_msg($msg['confirm_suppr_de']." ".$libelle." ?")
	->set_content_form($content_form)
	->set_table_name('arch_type')
	->set_field_focus('form_libelle');
	print $interface_form->get_display();
}

switch($action) {
	case 'update':
		global $form_libelle;
		// vrification validit des donnes fournies.
		$requete = " SELECT count(1) FROM arch_type WHERE (archtype_libelle='$form_libelle' AND archtype_id!='$id' )  LIMIT 1 ";
		$res = pmb_mysql_query($requete);
		$nbr = pmb_mysql_result($res, 0, 0);
		if ($nbr > 0) {
			error_form_message($form_libelle.$msg["support_label_already_used"]);
		} else {
			// O.K.,  now if item already exists UPDATE else INSERT
			if($id != 0) {
				$requete = "UPDATE arch_type SET archtype_libelle='$form_libelle' WHERE archtype_id=$id ";
				$res = pmb_mysql_query($requete);
			} else {
				$requete = "INSERT INTO arch_type (archtype_id,archtype_libelle) VALUES (0, '$form_libelle') ";
				$res = pmb_mysql_query($requete);
			}
		}
		show_support();
		break;
	case 'add':
		support_form();
		break;
	case 'modif':
		if($id!=""){
			$requete = "SELECT archtype_libelle FROM arch_type WHERE archtype_id=$id ";
			$res = pmb_mysql_query($requete);
			if(pmb_mysql_num_rows($res)) {
				$row=pmb_mysql_fetch_object($res);
				support_form($row->archtype_libelle, $id);
			} else {
				show_support();
			}
		} else {
			show_support();
		}
		break;
	case 'del':
		if($id!="") {			
			$total = pmb_mysql_num_rows(pmb_mysql_query("select 1 from collections_state where collstate_type='".$id."' limit 0,1"));
			if ($total==0) {
				$requete = "DELETE FROM arch_type WHERE archtype_id=$id ";
				$res = pmb_mysql_query($requete);
				show_support();
			} else {
				error_message(	$msg[294], $msg["collstate_support_used"], 1, 'admin.php?categ=support&sub=support&action=');
			}
		}
		break;
	default:
		show_support();
		break;
	}
