<?php
// +-------------------------------------------------+
//  2002-2004 PMB Services / www.sigb.net pmb@sigb.net et contributeurs (voir www.sigb.net)
// +-------------------------------------------------+
// $Id: cod_stat.inc.php,v 1.19.6.3 2020/08/06 08:07:40 dgoron Exp $

if (stristr($_SERVER['REQUEST_URI'], ".inc.php")) die("no access");

global $class_path, $action, $msg, $id, $admin_liste_jscript;

require_once($class_path."/docs_codestat.class.php");
require_once($class_path."/list/configuration/docs/list_configuration_docs_codstat_ui.class.php");

// gestion des codes stat exemplaires
?>
<script type="text/javascript">
function test_form(form)
{
	if(form.form_libelle.value.length == 0)
	{
		alert("<?php echo $msg[98]; ?>");
		return false;
	}
	return true;
}

</script>
<?php
function show_codstat() {
	print list_configuration_docs_codstat_ui::get_instance()->get_display_list();
}

$id = intval($id);
switch($action) {
	case 'update':
		global $form_libelle;
		// vrification validit des donnes fournies.
		$requete = " SELECT count(1) FROM docs_codestat WHERE (codestat_libelle='$form_libelle' AND idcode!='$id' )  LIMIT 1 ";
		$res = pmb_mysql_query($requete);
		$nbr = pmb_mysql_result($res, 0, 0);
		if ($nbr > 0) {
			error_form_message($form_libelle.$msg["docs_label_already_used"]);
		} else {
			$docs_codestat = new docs_codestat($id);
			$docs_codestat->set_properties_from_form();
			$docs_codestat->save();
		}
		show_codstat();
		break;
	case 'add':
		$docs_codestat = new docs_codestat();
		print $docs_codestat->get_form();
		break;
	case 'modif':
		$docs_codestat = new docs_codestat($id);
		print $docs_codestat->get_form();
		break;
	case 'del':
		if($id) {
			$total = pmb_mysql_result(pmb_mysql_query("select count(1) from exemplaires where expl_codestat ='".$id."' "), 0, 0);
			if ($total==0) {
				translation::delete($id, "docs_codestat");
				$requete = "DELETE FROM docs_codestat WHERE idcode=$id ";
				$res = pmb_mysql_query($requete);
				show_codstat();
			} else {
				$msg_suppr_err = $admin_liste_jscript;
				$msg_suppr_err .= $msg[1701]." <a href='#' onclick=\"showListItems(this);return(false);\" what='codestat_docs' item='".$id."' total='".$total."' alt=\"".$msg["admin_docs_list"]."\" title=\"".$msg["admin_docs_list"]."\"><img src='".get_url_icon('req_get.gif')."'></a>" ;
				error_message(	$msg[294], $msg_suppr_err, 1, 'admin.php?categ=docs&sub=codstat&action=');
			}
		} else show_codstat();
		break;
	default:
		show_codstat();
		break;
}
