<?php
// +-------------------------------------------------+
//  2002-2004 PMB Services / www.sigb.net pmb@sigb.net et contributeurs (voir www.sigb.net)
// +-------------------------------------------------+
// $Id: cod_stat.inc.php,v 1.13.6.1 2020/02/28 13:44:40 dgoron Exp $

if (stristr($_SERVER['REQUEST_URI'], ".inc.php")) die("no access");

global $class_path, $action, $msg, $id;

require_once($class_path."/list/configuration/empr/list_configuration_empr_codstat_ui.class.php");

?>
<script type="text/javascript">
function test_form(form)
{
	if(form.form_libelle.value.length == 0)
	{
		alert("<?php echo $msg[98]; ?>");
		return false;
	}
	return true;
}

</script>
<?php
function show_codstat() {
	print list_configuration_empr_codstat_ui::get_instance()->get_display_list();
}

function codstat_form($libelle="", $id=0) {
	global $msg;
	global $admin_statlec_content_form ;
	global $charset;
	
	$content_form = $admin_statlec_content_form;
	$content_form = str_replace('!!id!!', $id, $content_form);
	
	$interface_form = new interface_admin_form('lenderform');
	if(!$id){
		$interface_form->set_label($msg['101']);
	}else{
		$interface_form->set_label($msg['102']);
	}
	$content_form = str_replace('!!libelle!!', htmlentities($libelle, ENT_QUOTES, $charset), $content_form);
	
	$interface_form->set_object_id($id)
	->set_confirm_delete_msg($msg['confirm_suppr_de']." ".$libelle." ?")
	->set_content_form($content_form)
	->set_table_name('empr_codestat')
	->set_field_focus('form_libelle');
	print $interface_form->get_display();
}

$id = intval($id);
switch($action) {
	case 'update':
		global $form_libelle;
		// no duplication
		$requete = " SELECT count(1) FROM empr_codestat WHERE (libelle='$form_libelle' AND idcode!='$id' )  LIMIT 1 ";
		$res = pmb_mysql_query($requete);
		$nbr = pmb_mysql_result($res, 0, 0);
		if ($nbr > 0) {
				error_form_message($form_libelle.$msg["docs_label_already_used"]);
		} else {
			// O.k., now if the id already exist UPDATE else INSERT
			if(!empty($form_libelle)) {
				if($id) {
					$requete = "UPDATE empr_codestat SET libelle='$form_libelle' WHERE idcode=$id ";
					$res = pmb_mysql_query($requete);
				} else {
					$requete = "SELECT count(1) FROM empr_codestat WHERE libelle='$form_libelle' LIMIT 1 ";
					$res = pmb_mysql_query($requete);
					$nbr = pmb_mysql_result($res, 0, 0);
					if($nbr == 0) {
						$requete = "INSERT INTO empr_codestat (idcode,libelle) VALUES ('', '$form_libelle') ";
						$res = pmb_mysql_query($requete);
					}
				}
			}
		}
		show_codstat();
		break;
	case 'add':
		codstat_form();
		break;
	case 'modif':
		if($id){
			$requete = "SELECT libelle FROM empr_codestat WHERE idcode=$id LIMIT 1;";
			$res = pmb_mysql_query($requete);
			if(pmb_mysql_num_rows($res)) {
				$row=pmb_mysql_fetch_row($res);
				codstat_form($row[0], $id);
			} else {
				show_codstat();
			}
		} else {
			show_codstat();
		}
		break;
	case 'del':
		if($id) {
			$total = 0;
			$total = pmb_mysql_result(pmb_mysql_query("select count(1) from empr where empr_codestat ='".$id."' "), 0, 0);
			if ($total==0) {
				$requete = "DELETE FROM empr_codestat WHERE idcode=$id ;";
				$res = pmb_mysql_query($requete);
				$requete = "OPTIMIZE TABLE empr_codestat ";
				$res = pmb_mysql_query($requete);
				show_codstat();
				} else {
					error_message(	$msg[294], $msg[1707], 1, 'admin.php?categ=empr&sub=codstat&action=');
					}
			} else show_codstat();
		break;
	default:
		show_codstat();
		break;
}
