<?php
// +-------------------------------------------------+
//  2002-2004 PMB Services / www.sigb.net pmb@sigb.net et contributeurs (voir www.sigb.net)
// +-------------------------------------------------+
// $Id: onglet.inc.php,v 1.5.6.1 2020/02/28 13:44:40 dgoron Exp $

if (stristr($_SERVER['REQUEST_URI'], ".inc.php")) die("no access");

global $class_path, $action, $msg, $id;

require_once($class_path."/list/configuration/notices/list_configuration_notices_onglet_ui.class.php");

// gestion des codes statut exemplaires
?>
<script type="text/javascript">
function test_form(form)
{
	if(form.form_nom.value.length == 0)
	{
		alert("<?php echo $msg[98] ?>");
		return false;
	}
	return true;
}
</script>

<?php
function show_onglet() {
	print list_configuration_notices_onglet_ui::get_instance()->get_display_list();
}

function onglet_form($nom="", $id=0) {

	global $msg;
	global $admin_onglet_content_form;
	global $charset;

	$content_form = $admin_onglet_content_form;
	$content_form = str_replace('!!id!!', $id, $content_form);
	
	$interface_form = new interface_admin_form('ongletform');
	if(!$id){
		$interface_form->set_label($msg['admin_noti_onglet_ajout']);
	}else{
		$interface_form->set_label($msg['admin_noti_onglet_modification']);
	}
	$content_form = str_replace('!!nom!!', htmlentities($nom, ENT_QUOTES, $charset), $content_form);
	
	$interface_form->set_object_id($id)
	->set_confirm_delete_msg($msg['confirm_suppr_de']." ".$nom." ?")
	->set_content_form($content_form)
	->set_table_name('notice_onglet')
	->set_field_focus('form_nom');
	print $interface_form->get_display();
}

switch($action) {
	case 'update':
		global $form_nom;
		if(!empty($form_nom)) {
			if($id) {
				$requete = "UPDATE notice_onglet SET onglet_name='$form_nom' WHERE id_onglet='$id' ";
				$res = pmb_mysql_query($requete);
			} else {
				$requete = "SELECT count(1) FROM notice_onglet WHERE onglet_name='$form_nom' LIMIT 1 ";
				$res = pmb_mysql_query($requete);
				$nbr = pmb_mysql_result($res, 0, 0);
				if($nbr == 0){
					$requete = "INSERT INTO notice_onglet (onglet_name) VALUES ('$form_nom') ";
					$res = pmb_mysql_query($requete);
				}
			}
		}
		show_onglet();
		break;
	case 'add':
		onglet_form();
		break;
	case 'modif':
		if($id){
			$requete = "SELECT onglet_name FROM notice_onglet WHERE id_onglet='$id' ";
			$res = pmb_mysql_query($requete);
			if(pmb_mysql_num_rows($res)) {
				$row=pmb_mysql_fetch_object($res);
				onglet_form($row->onglet_name, $id);
			} else {
				show_onglet();
			}
		} else {
			show_onglet();
		}
		break;
	case 'del':
		if ($id) {			
			$req="UPDATE authperso SET authperso_notice_onglet_num=0 where authperso_notice_onglet_num=".$id;
			pmb_mysql_query($req);
				
			$requete = "DELETE FROM notice_onglet WHERE id_onglet='$id' ";
			$res = pmb_mysql_query($requete);
			
			$requete = "OPTIMIZE TABLE origine_notice ";
			$res = pmb_mysql_query($requete);
			show_onglet();
		}
		break;
	default:
		show_onglet();
		break;
	}
