<?php
// +-------------------------------------------------+
//  2002-2004 PMB Services / www.sigb.net pmb@sigb.net et contributeurs (voir www.sigb.net)
// +-------------------------------------------------+
// $Id: origine_notice.inc.php,v 1.11.4.1 2020/02/28 13:44:40 dgoron Exp $

if (stristr($_SERVER['REQUEST_URI'], ".inc.php")) die("no access");

global $class_path, $action, $msg, $id;

require_once($class_path."/list/configuration/notices/list_configuration_notices_orinot_ui.class.php");

// gestion des codes statut exemplaires
?>
<script type="text/javascript">
function test_form(form)
{
	if(form.form_nom.value.length == 0)
	{
		alert("<?php echo $msg[98] ?>");
		return false;
	}
	return true;
}
</script>

<?php
function show_orinot() {
	print list_configuration_notices_orinot_ui::get_instance()->get_display_list();
}

function orinot_form($nom="", $pays="FR", $diffusion=1, $id=0) {
	global $msg;
	global $admin_orinot_content_form;
	global $charset;

	$content_form = $admin_orinot_content_form;
	$content_form = str_replace('!!id!!', $id, $content_form);
	
	$interface_form = new interface_admin_form('orinotform');
	if(!$id){
		$interface_form->set_label($msg['orinot_ajout']);
	}else{
		$interface_form->set_label($msg['orinot_modification']);
	}
	$content_form = str_replace('!!nom!!', htmlentities($nom, ENT_QUOTES, $charset), $content_form);
	$content_form = str_replace('!!pays!!', htmlentities($pays,ENT_QUOTES, $charset), $content_form);
	if($diffusion) $checkbox="checked"; else $checkbox="";
	$content_form = str_replace('!!checkbox!!', $checkbox, $content_form);
	$content_form = str_replace('!!diffusion!!', $diffusion, $content_form);
	
	$interface_form->set_object_id($id)
	->set_confirm_delete_msg($msg['confirm_suppr_de']." ".$nom." ?")
	->set_content_form($content_form)
	->set_table_name('map_echelles')
	->set_field_focus('form_nom');
	print $interface_form->get_display();
}

$id = intval($id);
switch($action) {
    case 'update':
    	global $form_nom, $form_pays, $form_diffusion;
		if(!empty($form_nom)) {
			if($id) {
				$requete = "UPDATE origine_notice SET orinot_nom='$form_nom',orinot_pays='$form_pays',orinot_diffusion='$form_diffusion' WHERE orinot_id='$id' ";
				$res = pmb_mysql_query($requete);
			} else {
				$requete = "SELECT count(1) FROM origine_notice WHERE orinot_nom='$form_nom' LIMIT 1 ";
				$res = pmb_mysql_query($requete);
				$nbr = pmb_mysql_result($res, 0, 0);
				if($nbr == 0){
					$requete = "INSERT INTO origine_notice (orinot_nom,orinot_pays,orinot_diffusion) VALUES ('$form_nom','$form_pays','$form_diffusion') ";
					$res = pmb_mysql_query($requete);
				}
			}
		}
		show_orinot();
		break;
	case 'add':
		orinot_form();
		break;
	case 'modif':
		if($id){
			$requete = "SELECT orinot_nom, orinot_pays, orinot_diffusion FROM origine_notice WHERE orinot_id='$id' ";
			$res = pmb_mysql_query($requete);
			if(pmb_mysql_num_rows($res)) {
				$row=pmb_mysql_fetch_object($res);
				orinot_form($row->orinot_nom, $row->orinot_pays, $row->orinot_diffusion, $id);
				} else {
					show_orinot();
					}
			} else {
				show_orinot();
				}
		break;
	case 'del':
		if (($id) && ($id!=1)) {
			$total = 0;
			$total = pmb_mysql_num_rows(pmb_mysql_query("select origine_catalogage from notices where origine_catalogage ='".$id."' "));
			if ($total==0) {
				$requete = "DELETE FROM origine_notice WHERE orinot_id='$id' ";
				$res = pmb_mysql_query($requete);
				$requete = "OPTIMIZE TABLE origine_notice ";
				$res = pmb_mysql_query($requete);
				show_orinot();
				} else {
					error_message(	"", $msg['orinot_used'], 1, 'admin.php?categ=notices&sub=orinot&action=');
				}
			} else show_orinot();
		break;
	default:
		show_orinot();
		break;
	}
