<?php 
// +-------------------------------------------------+
//  2002-2004 PMB Services / www.sigb.net pmb@sigb.net et contributeurs (voir www.sigb.net)
// +-------------------------------------------------+
// $Id: constitution_controller.class.php,v 1.1.2.3 2020/10/26 09:16:35 dgoron Exp $

if (stristr($_SERVER['REQUEST_URI'], ".class.php")) die("no access");

global $class_path;

require_once($class_path."/list/lists_controller.class.php");
require_once($class_path."/etagere.class.php");
require_once ($class_path."/list/etageres/list_etageres_ui.class.php");

class constitution_controller extends lists_controller {
	
	protected static $model_class_name = 'etagere_caddies';
	protected static $list_ui_class_name = 'list_etageres_ui';
	
	public static function proceed($id=0) {
		global $action, $msg;
		global $etagere_constitution_form;
		global $idcaddie, $filters;
		
		switch ($action) {
			case 'edit_etagere':
				if (etagere::check_rights($id)) {
					$model_instance = static::get_model_instance($id);
					$etagere_constitution_form = str_replace('!!formulaire_titre!!', $msg['etagere_constitution_de']." ".$model_instance->name, $etagere_constitution_form);
					$etagere_constitution_form = str_replace('!!idetagere!!', $id, $etagere_constitution_form);
					$etagere_constitution_form = str_replace('!!constitution!!', $model_instance->constitution(1), $etagere_constitution_form);
					print pmb_bidi($etagere_constitution_form);
				}
				break;
			case 'save_etagere':
				if (etagere::check_rights($id)) {
					$model_instance = static::get_model_instance($id);
					// suppression
					$rqt = "delete from etagere_caddie where etagere_id='$id' ";
					pmb_mysql_query($rqt);
					$nb_caddies = count($idcaddie);
					for ($i = 0; $i < $nb_caddies; $i++) {
						if (caddie::check_rights($idcaddie[$i])) {
							if(!empty($filters[$idcaddie[$i]]) && is_array($filters[$idcaddie[$i]])) {
								$caddie_filters = $filters[$idcaddie[$i]];
							} else {
								$caddie_filters = array();
							}
							$model_instance->add_panier($idcaddie[$i], $caddie_filters);
						}
					}
				}
				$list_ui_instance = static::get_list_ui_instance();
				print $list_ui_instance->get_display_list();
				break;
			default:
				parent::proceed($id);
				break;
		}
	}
}
